package teautils

import "github.com/iwind/TeaGo/maps"

var UsualCharsets = []maps.Map{
	{"charset": "utf-8", "name": "Universal Alphabet (UTF-8)"},
	{"charset": "unicode", "name": "Unicode"},
	{"name": "Chinese Simplified (GB2312)", "charset": "gb2312"},
	{"charset": "big5", "name": "Chinese Traditional (Big5)"},
	{"charset": "iso-8859-1", "name": "Western Alphabet"},
	{"charset": "euc-kr", "name": "Korean (EUC)"},
	{"charset": "shift-jis", "name": "Japanese (Shift-JIS)"},
	{"charset": "us-ascii", "name": "US-ASCII"},
}

// 数据来自 https://webcheatsheet.com/html/character_sets_list.php
var BasicCharsets = []maps.Map{
	{"name": "Chinese Traditional (Big5)", "charset": "big5"},
	{"charset": "euc-kr", "name": "Korean (EUC)"},
	{"charset": "iso-8859-1", "name": "Western Alphabet"},
	{"charset": "iso-8859-2", "name": "Central European Alphabet (ISO)"},
	{"charset": "iso-8859-3", "name": "Latin 3 Alphabet (ISO)"},
	{"charset": "iso-8859-4", "name": "Baltic Alphabet (ISO)"},
	{"charset": "iso-8859-5", "name": "Cyrillic Alphabet (ISO)"},
	{"charset": "iso-8859-6", "name": "Arabic Alphabet (ISO)"},
	{"charset": "iso-8859-7", "name": "Greek Alphabet (ISO)"},
	{"charset": "iso-8859-8", "name": "Hebrew Alphabet (ISO)"},
	{"charset": "koi8-r", "name": "Cyrillic Alphabet (KOI8-R)"},
	{"charset": "shift-jis", "name": "Japanese (Shift-JIS)"},
	{"name": "Japanese (EUC)", "charset": "x-euc"},
	{"charset": "utf-8", "name": "Universal Alphabet (UTF-8)"},
	{"charset": "windows-1250", "name": "Central European Alphabet (Windows)"},
	{"charset": "windows-1251", "name": "Cyrillic Alphabet (Windows)"},
	{"charset": "windows-1252", "name": "Western Alphabet (Windows)"},
	{"charset": "windows-1253", "name": "Greek Alphabet (Windows)"},
	{"charset": "windows-1254", "name": "Turkish Alphabet"},
	{"charset": "windows-1255", "name": "Hebrew Alphabet (Windows)"},
	{"charset": "windows-1256", "name": "Arabic Alphabet (Windows)"},
	{"charset": "windows-1257", "name": "Baltic Alphabet (Windows)"},
	{"charset": "windows-1258", "name": "Vietnamese Alphabet (Windows)"},
	{"charset": "windows-874", "name": "Thai (Windows)"},
}

var AllCharsets = []maps.Map{
	{"charset": "ASMO-708", "name": "Arabic (ASMO 708)"},
	{"charset": "DOS-720", "name": "Arabic (DOS)"},
	{"charset": "iso-8859-6", "name": "Arabic (ISO)"},
	{"charset": "x-mac-arabic", "name": "Arabic (Mac)"},
	{"charset": "windows-1256", "name": "Arabic (Windows)"},
	{"charset": "ibm775", "name": "Baltic (DOS)"},
	{"charset": "iso-8859-4", "name": "Baltic (ISO)"},
	{"charset": "windows-1257", "name": "Baltic (Windows)"},
	{"charset": "ibm852", "name": "Central European (DOS)"},
	{"name": "Central European (ISO)", "charset": "iso-8859-2"},
	{"charset": "x-mac-ce", "name": "Central European (Mac)"},
	{"charset": "windows-1250", "name": "Central European (Windows)"},
	{"name": "Chinese Simplified (EUC)", "charset": "EUC-CN"},
	{"name": "Chinese Simplified (GB2312)", "charset": "gb2312"},
	{"charset": "hz-gb-2312", "name": "Chinese Simplified (HZ)"},
	{"charset": "x-mac-chinesesimp", "name": "Chinese Simplified (Mac)"},
	{"charset": "big5", "name": "Chinese Traditional (Big5)"},
	{"name": "Chinese Traditional (CNS)", "charset": "x-Chinese-CNS"},
	{"charset": "x-Chinese-Eten", "name": "Chinese Traditional (Eten)"},
	{"charset": "x-mac-chinesetrad", "name": "Chinese Traditional (Mac)"},
	{"charset": "950", "name": "Chinese Traditional (Mac)"},
	{"charset": "cp866", "name": "Cyrillic (DOS)"},
	{"charset": "iso-8859-5", "name": "Cyrillic (ISO)"},
	{"charset": "koi8-r", "name": "Cyrillic (KOI8-R)"},
	{"charset": "koi8-u", "name": "Cyrillic (KOI8-U)"},
	{"charset": "x-mac-cyrillic", "name": "Cyrillic (Mac)"},
	{"charset": "windows-1251", "name": "Cyrillic (Windows)"},
	{"charset": "x-Europa", "name": "Europa"},
	{"charset": "x-IA5-German", "name": "German (IA5)"},
	{"charset": "ibm737", "name": "Greek (DOS)"},
	{"name": "Greek (ISO)", "charset": "iso-8859-7"},
	{"name": "Greek (Mac)", "charset": "x-mac-greek"},
	{"charset": "windows-1253", "name": "Greek (Windows)"},
	{"charset": " ", "name": "Greek (Windows)"},
	{"charset": "ibm869", "name": "Greek, Modern (DOS)"},
	{"name": "Hebrew (DOS)", "charset": "DOS-862"},
	{"charset": "iso-8859-8-i", "name": "Hebrew (ISO-Logical)"},
	{"charset": "iso-8859-8", "name": "Hebrew (ISO-Visual)"},
	{"charset": "x-mac-hebrew", "name": "Hebrew (Mac)"},
	{"charset": "windows-1255", "name": "Hebrew (Windows)"},
	{"charset": "x-EBCDIC-Arabic", "name": "IBM EBCDIC (Arabic)"},
	{"charset": "x-EBCDIC-CyrillicRussian", "name": "IBM EBCDIC (Cyrillic Russian)"},
	{"charset": "x-EBCDIC-CyrillicSerbianBulgarian", "name": "IBM EBCDIC (Cyrillic Serbian-Bulgarian)"},
	{"charset": "x-EBCDIC-DenmarkNorway", "name": "IBM EBCDIC (Denmark-Norway)"},
	{"charset": "x-ebcdic-denmarknorway-euro", "name": "IBM EBCDIC (Denmark-Norway-Euro)"},
	{"charset": "x-EBCDIC-FinlandSweden", "name": "IBM EBCDIC (Finland-Sweden)"},
	{"charset": "x-ebcdic-finlandsweden-euro", "name": "IBM EBCDIC (Finland-Sweden-Euro)"},
	{"charset": "x-ebcdic-finlandsweden-euro", "name": "IBM EBCDIC (Finland-Sweden-Euro)"},
	{"charset": "x-ebcdic-france-euro", "name": "IBM EBCDIC (France-Euro)"},
	{"charset": "x-EBCDIC-Germany", "name": "IBM EBCDIC (Germany)"},
	{"charset": "x-ebcdic-germany-euro", "name": "IBM EBCDIC (Germany-Euro)"},
	{"charset": "x-EBCDIC-GreekModern", "name": "IBM EBCDIC (Greek Modern)"},
	{"charset": "x-EBCDIC-Greek", "name": "IBM EBCDIC (Greek)"},
	{"charset": "x-EBCDIC-Hebrew", "name": "IBM EBCDIC (Hebrew)"},
	{"charset": "x-EBCDIC-Icelandic", "name": "IBM EBCDIC (Icelandic)"},
	{"charset": "x-ebcdic-icelandic-euro", "name": "IBM EBCDIC (Icelandic-Euro)"},
	{"name": "IBM EBCDIC (International-Euro)", "charset": "x-ebcdic-international-euro"},
	{"charset": "x-EBCDIC-Italy", "name": "IBM EBCDIC (Italy)"},
	{"charset": "x-ebcdic-italy-euro", "name": "IBM EBCDIC (Italy-Euro)"},
	{"charset": "x-EBCDIC-JapaneseAndKana", "name": "IBM EBCDIC (Japanese and Japanese Katakana)"},
	{"charset": "x-EBCDIC-JapaneseAndJapaneseLatin", "name": "IBM EBCDIC (Japanese and Japanese-Latin)"},
	{"name": "IBM EBCDIC (Japanese and US-Canada)", "charset": "x-EBCDIC-JapaneseAndUSCanada"},
	{"name": "IBM EBCDIC (Japanese katakana)", "charset": "x-EBCDIC-JapaneseKatakana"},
	{"charset": "x-EBCDIC-KoreanAndKoreanExtended", "name": "IBM EBCDIC (Korean and Korean Extended)"},
	{"charset": "x-EBCDIC-KoreanExtended", "name": "IBM EBCDIC (Korean Extended)"},
	{"charset": "CP870", "name": "IBM EBCDIC (Multilingual Latin-2)"},
	{"charset": "x-EBCDIC-SimplifiedChinese", "name": "IBM EBCDIC (Simplified Chinese)"},
	{"charset": "X-EBCDIC-Spain", "name": "IBM EBCDIC (Spain)"},
	{"charset": "x-ebcdic-spain-euro", "name": "IBM EBCDIC (Spain-Euro)"},
	{"charset": "x-EBCDIC-Thai", "name": "IBM EBCDIC (Thai)"},
	{"charset": "x-EBCDIC-TraditionalChinese", "name": "IBM EBCDIC (Traditional Chinese)"},
	{"charset": "CP1026", "name": "IBM EBCDIC (Turkish Latin-5)"},
	{"charset": "x-EBCDIC-Turkish", "name": "IBM EBCDIC (Turkish)"},
	{"charset": "x-EBCDIC-UK", "name": "IBM EBCDIC (UK)"},
	{"charset": "x-ebcdic-uk-euro", "name": "IBM EBCDIC (UK-Euro)"},
	{"charset": "ebcdic-cp-us", "name": "IBM EBCDIC (US-Canada)"},
	{"name": "IBM EBCDIC (US-Canada-Euro)", "charset": "x-ebcdic-cp-us-euro"},
	{"charset": "ibm861", "name": "Icelandic (DOS)"},
	{"charset": "x-mac-icelandic", "name": "Icelandic (Mac)"},
	{"charset": "x-iscii-as", "name": "ISCII Assamese"},
	{"charset": "x-iscii-be", "name": "ISCII Bengali"},
	{"charset": "x-iscii-de", "name": "ISCII Devanagari"},
	{"charset": "x-iscii-gu", "name": "ISCII Gujarathi"},
	{"charset": "x-iscii-ka", "name": "ISCII Kannada"},
	{"charset": "x-iscii-ma", "name": "ISCII Malayalam"},
	{"charset": "x-iscii-or", "name": "ISCII Oriya"},
	{"charset": "x-iscii-pa", "name": "ISCII Panjabi"},
	{"charset": "x-iscii-ta", "name": "ISCII Tamil"},
	{"charset": "x-iscii-te", "name": "ISCII Telugu"},
	{"charset": "euc-jp", "name": "Japanese (EUC)"},
	{"charset": "x-euc-jp", "name": "Japanese (EUC)"},
	{"charset": "iso-2022-jp", "name": "Japanese (JIS)"},
	{"charset": "iso-2022-jp", "name": "Japanese (JIS-Allow 1 byte Kana - SO/SI)"},
	{"charset": "csISO2022JP", "name": "Japanese (JIS-Allow 1 byte Kana)"},
	{"charset": "x-mac-japanese", "name": "Japanese (Mac)"},
	{"charset": "shift_jis", "name": "Japanese (Shift-JIS)"},
	{"charset": "ks_c_5601-1987", "name": "Korean"},
	{"charset": "euc-kr", "name": "Korean (EUC)"},
	{"charset": "iso-2022-kr", "name": "Korean (ISO)"},
	{"charset": "Johab", "name": "Korean (Johab)"},
	{"charset": "x-mac-korean", "name": "Korean (Mac)"},
	{"charset": "iso-8859-3", "name": "Latin 3 (ISO)"},
	{"charset": "iso-8859-15", "name": "Latin 9 (ISO)"},
	{"charset": "x-IA5-Norwegian", "name": "Norwegian (IA5)"},
	{"charset": "IBM437", "name": "OEM United States"},
	{"charset": "x-IA5-Swedish", "name": "Swedish (IA5)"},
	{"charset": "windows-874", "name": "Thai (Windows)"},
	{"charset": "ibm857", "name": "Turkish (DOS)"}, {"charset": "iso-8859-9", "name": "Turkish (ISO)"},
	{"charset": "x-mac-turkish", "name": "Turkish (Mac)"},
	{"charset": "windows-1254", "name": "Turkish (Windows)"},
	{"charset": "unicode", "name": "Unicode"},
	{"charset": "unicodeFFFE", "name": "Unicode (Big-Endian)"},
	{"charset": "utf-7", "name": "Unicode (UTF-7)"},
	{"name": "Unicode (UTF-8)", "charset": "utf-8"},
	{"charset": "us-ascii", "name": "US-ASCII"},
	{"charset": "windows-1258", "name": "Vietnamese (Windows)"},
	{"charset": "ibm850", "name": "Western European (DOS)"},
	{"charset": "x-IA5", "name": "Western European (IA5)"},
	{"charset": "iso-8859-1", "name": "Western European (ISO)"},
	{"name": "Western European (Mac)", "charset": "macintosh"},
	{"charset": "Windows-1252", "name": "Western European (Windows)"},
}
